# DescribeAzureRegions

## 1. API Description

This API is used to query location information supported for the Azure Cloud access point.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

<table><thead><tr><th width="190">Parameter Name</th><th width="123">Required</th><th width="109">Type</th><th>Description</th></tr></thead><tbody><tr><td>pairingKey</td><td>No</td><td>String</td><td>Azure Cloud service key.</td></tr><tr><td>product</td><td>No</td><td>String</td><td><p>Supported products at the location.<br>Available value:</p><ul><li><code>PrivateConnect</code>: Layer 2 Private Connect</li><li><code>CloudRouter</code>: Layer 3 Cloud Router</li></ul></td></tr></tbody></table>

## 3. Output Parameters

<table><thead><tr><th width="194.33333333333331">Parameter Name</th><th width="207">Required</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>The unique request ID, which is returned for each request. RequestId is required for locating a problem.</td></tr><tr><td>cloudRegions</td><td>Array of <a href="../../datastructure#cloudregion">CloudRegion</a></td><td>Location information of Azure Cloud access point.</td></tr></tbody></table>

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query location information supported for the Azure Cloud access point.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeAzureRegions
<Common Request Params>

Response：
{   
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "cloudRegions":[
        {
            "cloudRegionId":"eu-west-1",
            "dataCenter":{
                "dcId":"SOF1",
                "cityName":"Sofia",
                "areaName":"Europe",
                "dcName":"Equinix_SO2",
                "latitude":42.671886,
                "longitude":23.407631,
                "dcAddress":"N33 Nedelcho Bonchev str, Sofia, Bulgaria",
                "countryName":"Bulgaria"
            },
            "products":[
                "PrivateConnect",
                "CloudRouter"
            ]
        }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk) to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

No error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).​
